Skip to main content
Get Specific Product
curl --request GET \
  --url https://qa-lynx.nayax.com/operational/v1/products/{NayaxProductID} \
  --header 'Authorization: <api-key>'
{
  "NayaxProductID": 782421696235197,
  "ProductGroupID": 1695927814,
  "ActorID": 2000860606,
  "ProductManufacturerID": null,
  "ProductName": "test product",
  "ProductCatalogNumber": "",
  "ProductBarcode": "",
  "ProductPackageQuantity": null,
  "ProductDescription": "",
  "ProductVolumeTypeID": null,
  "DEXProductName": "",
  "ProductCostPrice": null,
  "ProductDefaultRetailPrice": null,
  "ProductMinimumPickQTY": null,
  "ProductStatus": 1,
  "ProductCashPrice": null,
  "ProductCreditCardPrice": null,
  "ProductPrepaidCardPrice": null,
  "ProductExternalPrepaidCardPrice": null,
  "ProductMemberTypePriceBit": null,
  "ProductPictureURL": null,
  "CaloriesPer100g": null,
  "CaloriesPerServing": null,
  "EANCode": "",
  "ProductCreatedBy": 280281922,
  "ProductCreationDate": "2026-05-06T09:24:47.97",
  "ProductUpdatedBy": 280281922,
  "ProductLastUpdated": "2026-05-06T09:24:47.97",
  "SequenceNumber": null,
  "AgeVerificationEnableBit": false,
  "VatId": null,
  "DepositTypeID": 90002,
  "DepositFee": 0.5,
  "DepositTax": 0.3,
  "Refs": {
    "product": "v1/products/782421696235197",
    "productGroup": "v1/productGroups/1695927814",
    "productVolume": "v1/lookups/values/",
    "create": "v1/operators/2000860606/products",
    "edit": "v1/products/782421696235197"
  }
}

Authorizations

Authorization
string
header
required

Enter your API key. It's required to authenticate API requests.

Path Parameters

NayaxProductID
integer<int64>
required

The unique identifier of the product in the Nayax system.

Response

200 - application/json

The details of the specified product.

NayaxProductID
integer<int64> | null

The unique identifier for the product in the Nayax system.

ProductGroupID
integer<int32> | null

The unique identifier of the product group to which the product belongs.

ActorID
integer<int64> | null

The unique identifier of the actor associated with the product.

ProductManufacturerID
integer<int32> | null

The unique identifier of the product's manufacturer.

ProductName
string | null

The name of the product.

ProductCatalogNumber
string | null

The catalog number assigned to the product.

ProductBarcode
string | null

The barcode associated with the product.

ProductPackageQuantity
integer<int32> | null

The quantity of product units per package.

ProductDescription
string | null

A description of the product.

ProductVolumeTypeID
integer<int32> | null

The volume type identifier associated with the product.

DEXProductName
string | null

The name of the product in the DEX (Data Exchange) format.

ProductCostPrice
number<double> | null

The cost price of the product.

ProductDefaultRetailPrice
number<double> | null

The default retail price of the product.

ProductMinimumPickQTY
integer<int32> | null

The minimum quantity of the product that can be picked.

ProductStatus
integer<int32> | null

The status of the product, typically representing availability.

ProductCashPrice
number<double> | null

The price of the product when paid with cash.

ProductCreditCardPrice
number<double> | null

The price of the product when paid with a credit card.

ProductPrepaidCardPrice
number<double> | null

The price of the product when paid with a prepaid card.

ProductExternalPrepaidCardPrice
number<double> | null

The price of the product when paid with an external prepaid card.

ProductMemberTypePriceBit
boolean | null

Indicates if the product has member-type-specific pricing.

ProductPictureURL
string | null

The URL of the product's picture.

CaloriesPer100g
number<double> | null

The number of calories per 100 grams of the product.

CaloriesPerServing
number<double> | null

The number of calories per serving of the product.

EANCode
string | null

The European Article Number (EAN) code associated with the product.

ProductCreatedBy
integer<int64> | null

The identifier of the user who created the product entry.

ProductCreationDate
string<date-time> | null

The date and time when the product was created.

ProductUpdatedBy
integer<int64> | null

The identifier of the user who last updated the product entry.

ProductLastUpdated
string<date-time> | null

The date and time when the product was last updated.

VatId
integer<int32> | null

The VAT (Value Added Tax) identifier associated with the product.

SequenceNumber
integer<int32> | null

The sequence number of the product.

AgeVerificationEnableBit
boolean | null

Indicates whether age verification is required for this product.

DepositTypeID
integer<int32> | null

The type of container for deposit/return schemes. Can be one of the following values: Plastic bottle - 90001, Can - 90002, Reusable Glass bottle - 90003.

DepositFee
number<double> | null

Deposit amount for bottle/can return schemes (max 100.00).

DepositTax
number<double> | null

Tax percentage applied to the deposit amount (0-100).

Refs
object

A map of additional references related to the product.